Subject: Re: bug#38284: 27.0.50; [PATCH] Make auth-source-pass-search understand port lists

From: Stefan Kangas <[email-masked]>
Date: Mon, 20 Jan 2020 19:54:01 +0100

João Távora <[email-masked]> writes:

> Damien Cassou <[email-masked]> writes:
>
>> Can you please merge the attached patch with yours?
>
> No, but you can do that, because it's your work (I can push it for you
> though).  Anyway, now I read the test you wrote, I agree it's a good
> test.  You are testing auth-source-pass-match-entry-p, much higher up
> than auth-source-pass--generate-entry-suffixes, the function I changed.
>
> Of course, only someone who was involved in the design would be able to
> confidently place the tests at that correct level, the finding of which
> is the most difficult part.

If the test is good, I think it should be installed.  Unfortunately,
it seems like it doesn't apply cleanly to current master.

Damien, could you please re-send the patch formatted by "git
format-patch -1"?  Please also include a commit message with a
ChangeLog entry as described in the CONTRIBUTE file.

Best regards,
Stefan Kangas